
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "version"

Gem::Specification.new do |spec|
  spec.name          = "l-tools"
  spec.version       = LTools::VERSION
  spec.authors       = ["L"]
  spec.email         = ["l-codes@qq.com"]

  spec.summary       = %q{L Tools}
  spec.description   = %q{Controlling external programs running}
  spec.homepage      = "https://github.com/l-codes/l-tools"
  spec.license       = "MIT"

  spec.required_ruby_version = '>= 2.4.0'
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "childprocess", "~> 0.9"
  spec.add_runtime_dependency "colorize", "~> 0.8"
  spec.add_runtime_dependency "ruby-nmap", "~> 0.9"
  spec.add_development_dependency "bundler", "~> 1.17"
end
